Bug Hunting Session
Bug 61576 - fontwork trailing space
Summary: fontwork trailing space
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: FontWork-WordArt
  Show dependency treegraph
 
Reported: 2013-02-27 20:14 UTC by Scott
Modified: 2018-05-06 02:30 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Scott 2013-02-27 20:14:49 UTC
This is minor, just a nuisance

Problem description: 
When adding a new Fontwork, you must always delete the trailing space at the end before formatting the text or it won't take.

Steps to reproduce:
1. Got to the Fontwork gallery and choose a Fontwork.
2. Double click the new Fontwork to edit the text.
3. Double click to select the text and choose a new font, click off of Fontwork.
4. Fontwork does not change font.

Current behavior:
1. Got to the Fontwork gallery and choose a Fontwork
2. Double click the new Fontwork to edit the text
3. Select the text and press the end key, which will put you after a single trailing space after the text.
4. Backspace out the space.
5. Select text and format.

Expected behavior:
1. Got to the Fontwork gallery and choose a Fontwork.
2. Double click the new Fontwork to edit the text.
3. Double click to select the text and choose a new font, click off of Fontwork.
4. Fontwork now displays new font look.
              
Operating System: Windows 7 x86
LO Version: 4.0.0.3
Comment 1 Brenda Granados 2013-03-01 17:53:25 UTC
Hi, I have confirmed that this is an issue on 4.1.0.0alpha0+ using Windows 8. If you don't delete the extra space at the end, the text appears to change to the new font, but the fontwork does not. I have confirmed that deleting the space at the end of the text, and then changing the font and clicking off the fontwork gives the desired result that the fontwork is changed.

I am lowering the priority to minor, medium. I agree it's a nuisance, too, but the workaround gets the job done for now. I hope you agree.

Version: 4.1.0.0alpha0+ (Build ID: cad65120c6da901bf9fe33ab16ad22217efed0c)
Platform: Windows 8 x64

Thank you for reporting this bug!

LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link: https://wiki.documentfoundation.org/QA/BugTriage  There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists
Comment 2 Scott 2013-03-01 18:06:28 UTC
I would agree. Thanks for your effort.
Comment 3 A (Andy) 2015-02-14 22:18:04 UTC
Reproducible with LO 4.4.0.3, Win 8.1:

The Fontwork is only changed if the space at the end is also selected, afterwards this space can be deleted with the backspace key.  

Note: The formatting toolbar is not shown after the Fontwork is selected and has to be made available manually with VIEW -> TOOLBARS -> FORMATTING.
Comment 4 QA Administrators 2016-02-21 08:35:05 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-03-06 15:08:28 UTC Comment hidden (obsolete)
Comment 6 Scott 2017-03-16 16:00:45 UTC
Bug Still exists.

Version: 5.3.1.2 (x64)
Build ID: e80a0e0fd1875e1696614d24c32df0f95f03deb2
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; Layout Engine: new; 
Locale: en-US (en_US); Calc: group
Comment 7 QA Administrators 2018-05-06 02:30:31 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug